Loading...
Searching...
No Matches
BLURAY_DISC_INFO Struct Reference

BluRay disc information. More...

`#include <bluray.h>`

## Data Fields

uint8_t | bluray_detected
| 1 if BluRay disc was detected
const char * | disc_name
| optional disc name in preferred language
const char * | udf_volume_id
| optional UDF volume identifier
uint8_t | disc_id [20]
| Disc ID.
uint8_t | no_menu_support
| HDMV / BD-J titles.
uint8_t | first_play_supported
| 1 if First Play title is present on the disc and can be played
uint8_t | top_menu_supported
| 1 if Top Menu title is present on the disc and can be played
uint32_t | num_titles
| number of titles on the disc, not including "First Play" and "Top Menu"
const BLURAY_TITLE *const * | titles
| index is title number 1 ... N
const BLURAY_TITLE * | first_play
| titles[N+1].
const BLURAY_TITLE * | top_menu
| titles[0].
uint32_t | num_hdmv_titles
| number of HDMV titles
uint32_t | num_bdj_titles
| number of BD-J titles
uint32_t | num_unsupported_titles
| number of unsupported titles
uint8_t | bdj_detected
| BD-J info (valid only if disc uses BD-J).
uint8_t | bdj_supported
| (deprecated)
uint8_t | libjvm_detected
| 1 if usable Java VM was found
uint8_t | bdj_handled
| 1 if usable Java VM + libbluray.jar was found
char | bdj_org_id [9]
| (BD-J) disc organization ID
char | bdj_disc_id [33]
| (BD-J) disc ID
uint8_t | video_format
| bd_video_format_e
uint8_t | frame_rate
| bd_video_rate_e
uint8_t | content_exist_3D
| 1 if 3D content exists on the disc
uint8_t | initial_output_mode_preference
| 0 - 2D, 1 - 3D
uint8_t | provider_data [32]
| Content provider data.
uint8_t | aacs_detected
| 1 if disc is using AACS encoding
uint8_t | libaacs_detected
| 1 if usable AACS decoding library was found
uint8_t | aacs_handled
| 1 if disc is using supported AACS encoding
int | aacs_error_code
| AACS error code (BD_AACS_*).
int | aacs_mkbv
| AACS MKB version.
uint8_t | bdplus_detected
| 1 if disc is using BD+ encoding
uint8_t | libbdplus_detected
| 1 if usable BD+ decoding library was found
uint8_t | bdplus_handled
| 1 if disc is using supporred BD+ encoding
uint8_t | bdplus_gen
| BD+ content code generation.
uint32_t | bdplus_date
| BD+ content code relese date ((year<<16)|(month<<8)|day).
uint8_t | initial_dynamic_range_type
| bd_dynamic_range_type_e

## Detailed Description

BluRay disc information.

## Field Documentation

## bdj_detected

uint8_t BLURAY_DISC_INFO::bdj_detected

BD-J info (valid only if disc uses BD-J).

1 if disc uses BD-J

## first_play

const BLURAY_TITLE* BLURAY_DISC_INFO::first_play

titles[N+1].

NULL if not present on the disc.

## no_menu_support

uint8_t BLURAY_DISC_INFO::no_menu_support

HDMV / BD-J titles.

1 if this disc can't be played using on-disc menus

## top_menu

const BLURAY_TITLE* BLURAY_DISC_INFO::top_menu

titles[0].

NULL if not present on the disc.

The documentation for this struct was generated from the following file:

- bluray.h